# CanLearnMoveRequirement | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class CanLearnMoveRequirement

Requires that a pokemon can learn a specific move/moveset.

#### Hierarchy (View Summary)

- EncounterPokemonRequirement
  - CanLearnMoveRequirement

- Defined in src/data/mystery-encounters/requirements/can-learn-move-requirement.ts:23

##### Index

### Constructors

constructor

### Properties

invertQuery
minNumberOfPokemon

### Methods

getDialogueToken
meetsRequirement
queryParty

## Constructors

### constructor

- new CanLearnMoveRequirement(
  requiredMoves: Moves | Moves [],
  options?: CanLearnMoveRequirementOptions ,
  ): CanLearnMoveRequirement

  #### Parameters

  - requiredMoves: Moves | Moves []
  - options: CanLearnMoveRequirementOptions = {}

  #### Returns CanLearnMoveRequirement

  Overrides EncounterPokemonRequirement.constructor

  - Defined in src/data/mystery-encounters/requirements/can-learn-move-requirement.ts:30

## Properties

### invertQuery

invertQuery: boolean

Inherited from EncounterPokemonRequirement.invertQuery

- Defined in src/data/mystery-encounters/mystery-encounter-requirements.ts:92

### minNumberOfPokemon

minNumberOfPokemon: number

Inherited from EncounterPokemonRequirement.minNumberOfPokemon

- Defined in src/data/mystery-encounters/mystery-encounter-requirements.ts:91

## Methods

### getDialogueToken

- getDialogueToken(__pokemon?: PlayerPokemon ): [string, string]

  Returns a dialogue token key/value pair for a given Requirement. Should be overridden by child Requirement classes.

  #### Parameters

  - `Optional`__pokemon: PlayerPokemon

  #### Returns [string, string]

  Overrides EncounterPokemonRequirement.getDialogueToken

  - Defined in src/data/mystery-encounters/requirements/can-learn-move-requirement.ts:68

### meetsRequirement

- meetsRequirement(): boolean

  Returns whether the EncounterPokemonRequirement's... requirements, are met by the given scene

  #### Returns boolean

  Overrides EncounterPokemonRequirement.meetsRequirement

  - Defined in src/data/mystery-encounters/requirements/can-learn-move-requirement.ts:42

### queryParty

- queryParty(partyPokemon: PlayerPokemon []): PlayerPokemon []

  Returns all party members that are compatible with this requirement. For non pokemon related requirements, the entire party is returned.

  #### Parameters

  - partyPokemon: PlayerPokemon []

  #### Returns PlayerPokemon []

  Overrides EncounterPokemonRequirement.queryParty

  - Defined in src/data/mystery-encounters/requirements/can-learn-move-requirement.ts:54